commit:     daca89ebd29d9ce582ac1b9576103f76ee2694a9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  2 04:52:19 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Sep  2 05:00:52 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=daca89eb

dev-python/gssapi: Bump to 1.10.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/gssapi/Manifest             |  1 +
 dev-python/gssapi/gssapi-1.10.0.ebuild | 47 ++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/gssapi/Manifest b/dev-python/gssapi/Manifest
index ce9e100173a3..a78354bba7d3 100644
--- a/dev-python/gssapi/Manifest
+++ b/dev-python/gssapi/Manifest
@@ -1 +1,2 @@
+DIST gssapi-1.10.0.gh.tar.gz 112079 BLAKE2B 
7b52005994f7a93430ff6af124aacf1de7a8fff8867807497d1e770264d876184c0bfa3ed4d7b678a7e3bc3f1942ce5a6134ae1026e7b2150f647365179abded
 SHA512 
49fcd1d658955dffb5fab1745ec3fc835ac475b77afe87cb81ed7f5ab9cf8a1d804954e99c81a31cf7e2ee8ad65038cbcabecf852762fa1c0ea4f6e41be23147
 DIST gssapi-1.9.0.gh.tar.gz 112822 BLAKE2B 
4a91c2639a5186afa408b35540e248b5d17e74957669fbe8274e9619ef30172507559612f6a425df383145e5ac10e16d243fec9dbdc0a10e43ef29aa9f208c12
 SHA512 
05ca208d37eb3af3cba91607b61c4472a0d83e92f43342994e0fca575290c47b67c7c46440e95d3712c2409f43280a1e95b906e1e8918ebd9da7e6f46e4031fc

diff --git a/dev-python/gssapi/gssapi-1.10.0.ebuild 
b/dev-python/gssapi/gssapi-1.10.0.ebuild
new file mode 100644
index 000000000000..4c0c9310a105
--- /dev/null
+++ b/dev-python/gssapi/gssapi-1.10.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low and high level wrappers around the GSSAPI C libraries"
+HOMEPAGE="
+       https://github.com/pythongssapi/python-gssapi/
+       https://pypi.org/project/gssapi/
+"
+SRC_URI="
+       
https://github.com/pythongssapi/python-gssapi/releases/download/v${PV}/python-${P}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}"/python-${P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       dev-python/decorator[${PYTHON_USEDEP}]
+       virtual/krb5
+"
+
+BDEPEND="
+       >=dev-python/cython-3.1.1[${PYTHON_USEDEP}]
+       virtual/krb5
+       test? (
+               dev-python/k5test[${PYTHON_USEDEP}]
+               dev-python/parameterized[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+       cd "${T}" || die
+       epytest --pyargs gssapi
+}

Reply via email to